class ConverserView < UIView
  attr_reader :conversations_label, :check_button, :read_button

  def init
    super.tap do
      self.backgroundColor = UIColor.whiteColor

      @conversations_label = UILabel.new.tap do |label|
        label.frame = [[57, 79], [207, 54]]
        label.text = 'No Conversations!'
        label.textAlignment = NSTextAlignmentCenter
      end

      @check_button = UIButton.buttonWithType(UIButtonTypeRoundedRect).tap do |button|
        button.frame = [[116, 204], [89, 44]]
        button.setTitle('Check', forState: UIControlStateNormal)
      end

      @read_button = UIButton.buttonWithType(UIButtonTypeRoundedRect).tap do |button|
        button.frame = [[116, 260], [89, 44]]
        button.setTitle('Read', forState: UIControlStateNormal)
      end

      self.addSubview(@conversations_label)
      self.addSubview(@check_button)
      self.addSubview(@read_button)
    end
  end
end
